/************************************
  REVISION LOG ENTRY
  Revision By: Mike
  Revised on 6/19/98 5:13:44 PM
  Comments: CountLinesDlg.cpp : implementation file
 ************************************/

#include "stdafx.h"
#include "lines.h"
#include "CountLinesDlg.h"
#include  <DLGS.H>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCountLinesDlg

IMPLEMENT_DYNAMIC(CCountLinesDlg, CFileDialog)

CCountLinesDlg::CCountLinesDlg(BOOL bOpenFileDialog, LPCTSTR lpszDefExt, LPCTSTR lpszFileName,
		DWORD dwFlags, LPCTSTR lpszFilter, CWnd* pParentWnd) :
		CFileDialog(bOpenFileDialog, lpszDefExt, lpszFileName, dwFlags, lpszFilter, pParentWnd)
{
}


BEGIN_MESSAGE_MAP(CCountLinesDlg, CFileDialog)
	//{{AFX_MSG_MAP(CCountLinesDlg)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

// Function name	: CCountLinesDlg::OnInitDone
// Description	    : 
// Return type		: void 
void CCountLinesDlg::OnInitDone( )
{
	static const int dxBorder = 4;
	CWnd* pParent = GetParent();
	pParent->SetWindowText(_T("Count"));
	CRect rectFile; pParent->GetDlgItem(edt1)->GetWindowRect(rectFile);
	pParent->ScreenToClient(rectFile);
	CRect rectList; pParent->GetDlgItem(lst1)->GetWindowRect(rectList);
	pParent->ScreenToClient(rectList);
	rectList.right = (rectFile.right + rectFile.left) / 2;
	pParent->GetDlgItem(lst1)->MoveWindow(rectList);
	CRect rectOK; pParent->GetDlgItem(IDOK)->GetWindowRect(rectOK);
	pParent->ScreenToClient(rectOK);
	CRect rectRest(rectList.right + dxBorder, rectList.top, rectOK.right, rectList.bottom);
	m_dlgCnt.Create(IDD_DIALOG_COUNT, pParent);
	m_dlgCnt.MoveWindow(rectRest);
}

// Function name	: CCountLinesDlg::WindowProc
// Description	    : 
// Return type		: LRESULT 
// Argument         :  UINT message
// Argument         : WPARAM wParam
// Argument         : LPARAM lParam
LRESULT CCountLinesDlg::WindowProc( UINT message, WPARAM wParam, LPARAM lParam )
{
	LRESULT result = CFileDialog::WindowProc(message, wParam, lParam );
	if ( message == WM_NOTIFY )
		if (((LPNMHDR)lParam)->code == CDN_SELCHANGE)
		{
		}
	return result;
}
